API structure has changed
19 structure changes including:
1 Breaking change
18 Modifications
1 Removal
Modified
18
Breaking
GET /api/v1/accounts
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/accounts/currency/{currency}
- Path went from
/api/v1/accounts/currency/{currencyCode}to/api/v1/accounts/currency/{currency}(same operationId) - Path
-
currencyCode path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency path parameter Added
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/accounts/{accountId}
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/beneficiaries
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/beneficiaries/{beneficiaryId}
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/currencies
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/deposits
- Response
-
200 response Modified
-
application/json content type Modified
-
accountId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
accountId property Removed
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/deposits/{transactionId}
- Path went from
/api/v1/deposits/{depositId}to/api/v1/deposits/{transactionId}(same operationId) - Response
-
200 response Modified
-
application/json content type Modified
-
accountId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
accountId property Removed
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
accountId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
accountId property Removed
-
application/json content type Modified
- Path
-
depositId path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId path parameter Added
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/trades
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/trades/{transactionId}
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/wallets
- Response
-
200 response Modified
-
application/json content type Modified
-
Type is no longer
array[object]Breaking
- property Removed
-
Type is no longer
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/wallets/{walletId}
- Response
-
200 response Modified
-
application/json content type Modified
-
Type is no longer
objectBreaking
- WalletResponse property Removed
-
Type is no longer
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/withdrawals
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/withdrawals/{transactionId}
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
POST /api/v1/accounts
- Body
-
application/json content type Modified
-
currencyCode property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency property Added
-
currencyCode property Removed
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
POST /api/v1/beneficiaries/withdrawals
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
POST /api/v1/trades/quote
- Body
-
application/json content type Modified
-
amount, amountMode, quoteAmountMode properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromAmount, toAmount properties Added
-
amount, amountMode, quoteAmountMode properties Removed
- Response
-
200 response Modified
-
application/json content type Modified
-
amount, fromCurrency, toCurrency, toAmount, rate, quoteStr, fromAmount properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
amount, fromCurrency, toCurrency, toAmount, rate, quoteStr, fromAmount properties Removed
-
application/json content type Modified
-
400 response Modified
-
application/json content type Modified
-
amount, fromCurrency, toCurrency, toAmount, rate, quoteStr, fromAmount properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
amount, fromCurrency, toCurrency, toAmount, rate, quoteStr, fromAmount properties Removed
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
POST /api/v1/trades/quote/confirm
- Body
-
application/json content type Modified
-
amount property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromAmount, toAmount properties Added
-
amount property Removed
- Response
-
200 response Modified
-
application/json content type Modified
-
Type is no longer
objectBreaking
- AcceptRFQQuoteResponse property Removed
-
Type is no longer
-
application/json content type Modified
-
400 response Modified
-
application/json content type Modified
-
tradeNo, fillNo, completed properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
tradeNo, fillNo, completed properties Removed
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
Removed
1
Breaking
X api key & X api secretauthentication method
- Removing a resource is always breaking unless it was deprecated before Breaking